# Send zson into zng and back out to make sure binary encoding of typevals works.

script: |
  zq -Z "put t=typeof(.)" in.zson

inputs:
  - name: in.zson
    data: |
      {a:"hello",b:"world",n:123 (int32),f:[1 (foo=(uint8)),2 (foo),3 (foo)] (=0)} (=1)
      {a:"goodbye",b:"world",n:456,f:[4,5,6]} (1)

outputs:
  - name: stdout
    data: |
      {
          a: "hello",
          b: "world",
          n: 123 (int32),
          f: [
              1 (foo=(uint8)),
              2 (foo),
              3 (foo)
          ] (=0),
          t: ({a:string,b:string,n:int32,f:[foo=(uint8)]})
      } (=1)
      {
          a: "goodbye",
          b: "world",
          n: 456,
          f: [
              4,
              5,
              6
          ],
          t: ({a:string,b:string,n:int32,f:[foo=(uint8)]})
      } (1)
